GCVT(3)

NAME
gcvt - convert a floating-point number to a string

SYNOPSIS
#include <stdlib.h>

char *gcvt(double number, size_t ndigit, char *buf);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

gcvt(): _SVID_SOURCE || _XOPEN_SOURCE >= 500

DESCRIPTION
The gcvt() function converts number to a minimal length null-terminated ASCII string and stores the result in buf. It produces ndigit significant digits in either printf(3) F format or E format.

RETURN VALUE
The gcvt() function returns the address of the string pointed to by buf.

CONFORMING TO
Marked as LEGACY in POSIX.1-2001. POSIX.1-2008 removes the specification of gcvt().

NOTES
This function is obsolete. Instead, sprintf(3) is recommended.

SEE ALSO
ecvt(3), fcvt(3), sprintf(3)

COLOPHON
This page is part of release 3.16 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.